---
title: "创建退货单"
description: "创建退货单开放接口"
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/order/return-order/create-a-return'
  md: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/order/return-order/create-a-return.md'
---
# 创建退货单

创建退货单开放接口

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `write_return`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
POST /return/create.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。

## Required Permissions

* `write_return`

## Request

### Request Headers

* `Content-Type`

  string (required)

  字段值固定为 `application/json; charset=utf-8`。

* `Authorization`

  string (required)

  资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。

### Request Body

* `order_seq`

  string

  订单号

* `processed_at`

  string

  退货实际发生时间,,格式：2023-04-12T22:59:52+08:00

* `return_line_items`

  array<object>

  退货商品行信息

  * `line_item_id`

    string

    商品行ID

  * `quantity`

    integer

    退货商品数量

  * `return_reason`

    string

    商品行的退货原因：
    COLOR
    颜色问题
    DEFECTIVE
    商品损坏或有缺陷
    NOT_AS_DESCRIBED
    商品与描述不符
    OTHER
    其他原因
    SIZE_TOO_LARGE
    尺寸太大
    SIZE_TOO_SMALL
    尺寸太小
    STYLE
    款式问题
    UNWANTED
    客户改变了主意
    WRONG_ITEM
    收到了错误的商品

  * `return_reason_note`

    string

    商品行退货原因详细信息备注，最大支持128字符

  * `fulfillment_id`

    string

    发货单号

* `return_reason`

  string

  退货原因

* `notify_customer`

  boolean

  是否将退货消息通知消费者 true（通知）\false（不通知）

## Response

### Status Codes

* `200`

  更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。

### Response Body

#### 200

* `return`

  object

  退货单信息

  * `created_at`

    string

    退货单创建时间

  * `id`

    string

    退货单ID

  * `order_id`

    string

    订单ID

  * `return_line_items`

    array<object>

    退货商品信息

    * `fulfillment_id`

      string

      退货单关联的发货单号

    * `fulfillment_line_item`

      object

      退货单关联的发货单信息

      * `quantity`

        integer

        发货单发货数量

      * `line_item`

        object

        发货单商品行信息

    * `id`

      string

      退货商品行号

    * `quantity`

      integer

      退货单商品退货数量

  * `return_reason`

    string

    退货原因

  * `status`

    string

    退货单状态；OPEN（退货中），CLOSED（退货完成且已退款完成）


#### 401

* `errors`

  string

  错误描述。


#### 429

* `errors`

  string

  错误描述。


## OpenAPI Definition

```json
{
  "description": "创建退货单开放接口",
  "externalDocs": {
    "description": "接口使用的权限点: `write_return` ，更多权限点使用信息，请参考:",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=zh-hans-cn",
    "errorTableDescription": ""
  },
  "operationId": "aKOAIdAe",
  "parameters": [
    {
      "name": "Content-Type",
      "in": "header",
      "description": "字段值固定为 `application/json; charset=utf-8`。",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": "资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": "资源的访问令牌。请参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "properties": {
            "order_seq": {
              "name": "order_seq",
              "description": "订单号",
              "type": "string",
              "example": "2132131231232"
            },
            "processed_at": {
              "name": "processed_at",
              "description": "退货实际发生时间,,格式：2023-04-12T22:59:52+08:00",
              "type": "string",
              "example": "2023-04-12T22:59:52+08:00"
            },
            "return_line_items": {
              "name": "return_line_items",
              "description": "退货商品行信息",
              "type": "array",
              "items": {
                "name": "return_line_items",
                "description": "退货商品行信息",
                "type": "object",
                "properties": {
                  "line_item_id": {
                    "name": "line_item_id",
                    "description": "商品行ID",
                    "type": "string",
                    "example": "12321"
                  },
                  "quantity": {
                    "name": "quantity",
                    "description": "退货商品数量",
                    "type": "integer",
                    "example": 2
                  },
                  "return_reason": {
                    "name": "return_reason",
                    "description": "商品行的退货原因：\nCOLOR\n颜色问题\nDEFECTIVE\n商品损坏或有缺陷\nNOT_AS_DESCRIBED\n商品与描述不符\nOTHER\n其他原因\nSIZE_TOO_LARGE\n尺寸太大\nSIZE_TOO_SMALL\n尺寸太小\nSTYLE\n款式问题\nUNWANTED\n客户改变了主意\nWRONG_ITEM\n收到了错误的商品",
                    "type": "string",
                    "example": "NOT_AS_DESCRIBED"
                  },
                  "return_reason_note": {
                    "name": "return_reason_note",
                    "description": "商品行退货原因详细信息备注，最大支持128字符",
                    "type": "string",
                    "example": "Product does not match the description"
                  },
                  "fulfillment_id": {
                    "name": "fulfillment_id",
                    "description": "发货单号",
                    "type": "string",
                    "example": "23131"
                  }
                },
                "required": [
                  "fulfillment_id",
                  "line_item_id",
                  "quantity"
                ],
                "example": {
                  "line_item_id": "12321",
                  "quantity": 2,
                  "return_reason": "NOT_AS_DESCRIBED",
                  "return_reason_note": "Product does not match the description",
                  "fulfillment_id": "23131"
                }
              },
              "example": [
                {
                  "fulfillment_id": "23131",
                  "line_item_id": "12321",
                  "quantity": 2,
                  "return_reason": "NOT_AS_DESCRIBED",
                  "return_reason_note": "Product does not match the description"
                }
              ]
            },
            "return_reason": {
              "name": "return_reason",
              "description": "退货原因",
              "type": "string",
              "example": "7天无理由"
            },
            "notify_customer": {
              "name": "notify_customer",
              "description": "是否将退货消息通知消费者 true（通知）\\false（不通知）",
              "type": "boolean",
              "example": true
            }
          },
          "required": [
            "notify_customer",
            "order_seq",
            "return_line_items"
          ],
          "example": {
            "processed_at": "2023-04-12T22:59:52+08:00",
            "return_line_items": [
              {
                "quantity": 2,
                "return_reason": "NOT_AS_DESCRIBED",
                "return_reason_note": "Product does not match the description",
                "fulfillment_id": "23131",
                "line_item_id": "12321"
              }
            ],
            "return_reason": "7天无理由",
            "notify_customer": true,
            "order_seq": "2132131231232"
          }
        }
      }
    },
    "required": true
  },
  "responses": {
    "200": {
      "description": "更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。",
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "return": {
                "name": "return",
                "description": "退货单信息",
                "type": "object",
                "properties": {
                  "created_at": {
                    "name": "created_at",
                    "description": "退货单创建时间",
                    "type": "string",
                    "example": "2022-11-04T10:18:46+00:00"
                  },
                  "id": {
                    "name": "id",
                    "description": "退货单ID",
                    "type": "string",
                    "example": "2605860580357012238342"
                  },
                  "order_id": {
                    "name": "order_id",
                    "description": "订单ID",
                    "type": "string",
                    "example": "21058605762597644309430942"
                  },
                  "return_line_items": {
                    "name": "return_line_items",
                    "description": "退货商品信息",
                    "type": "array",
                    "items": {
                      "name": "return_line_items",
                      "description": "退货商品信息",
                      "type": "object",
                      "properties": {
                        "fulfillment_id": {
                          "name": "fulfillment_id",
                          "description": "退货单关联的发货单号",
                          "type": "string",
                          "example": "22058605790725653626950942"
                        },
                        "fulfillment_line_item": {
                          "name": "fulfillment_line_item",
                          "description": "退货单关联的发货单信息",
                          "type": "object",
                          "properties": {
                            "quantity": {
                              "name": "quantity",
                              "description": "发货单发货数量",
                              "type": "integer",
                              "example": 2
                            },
                            "line_item": {
                              "name": "line_item",
                              "description": "发货单商品行信息",
                              "type": "object",
                              "properties": {
                                "gift_card": {
                                  "name": "gift_card",
                                  "description": "是否为礼品卡商品：false、true",
                                  "type": "boolean",
                                  "example": true
                                },
                                "requires_shipping": {
                                  "name": "requires_shipping",
                                  "description": "商品是否需要发货：false、true",
                                  "type": "string",
                                  "example": "true"
                                },
                                "quantity": {
                                  "name": "quantity",
                                  "description": "商品数量",
                                  "type": "string",
                                  "example": "1"
                                },
                                "title": {
                                  "name": "title",
                                  "description": "spu商品标题",
                                  "type": "string",
                                  "example": "这是个好商品"
                                },
                                "variant_id": {
                                  "name": "variant_id",
                                  "description": "商品sku序列号",
                                  "type": "string",
                                  "example": "18056898121355865678441487"
                                },
                                "price": {
                                  "name": "price",
                                  "description": "商品售价，商品详情页销售价格",
                                  "type": "string",
                                  "example": "100.0"
                                },
                                "vendor": {
                                  "name": "vendor",
                                  "description": "商品供应商",
                                  "type": "string",
                                  "example": "商品供应商"
                                },
                                "fulfillable_quantity": {
                                  "name": "fulfillable_quantity",
                                  "description": "剩余需要履约的商品数量",
                                  "type": "integer",
                                  "example": 1
                                },
                                "image_url": {
                                  "name": "image_url",
                                  "description": "商品图片链接url",
                                  "type": "string",
                                  "example": "https://image.shopline.com/abc.jpg"
                                },
                                "tags": {
                                  "name": "tags",
                                  "description": "商品标签，当存在多个时用逗号分隔",
                                  "type": "string",
                                  "example": "sales"
                                },
                                "variant_title": {
                                  "name": "variant_title",
                                  "description": "商品属性值, 多个以\" / \"分割",
                                  "type": "string",
                                  "example": "L/Red"
                                },
                                "tax_lines": {
                                  "name": "tax_lines",
                                  "description": "商品税费详细信息",
                                  "type": "array",
                                  "items": {
                                    "name": "tax_lines",
                                    "description": "商品税费详细信息",
                                    "type": "object",
                                    "properties": {
                                      "price": {
                                        "name": "price",
                                        "description": "税费金额",
                                        "type": "string",
                                        "example": "18.00"
                                      },
                                      "price_set": {
                                        "name": "price_set",
                                        "description": "按照店铺币种和交易币种计价的税费金额",
                                        "type": "object",
                                        "properties": {
                                          "presentment_money": {
                                            "name": "presentment_money",
                                            "description": "交易币种",
                                            "type": "object",
                                            "properties": {
                                              "amount": {
                                                "name": "amount",
                                                "description": "税费金额",
                                                "type": "string",
                                                "example": "18.00"
                                              },
                                              "currency_code": {
                                                "name": "currency_code",
                                                "description": "币种",
                                                "type": "string",
                                                "example": "USD"
                                              }
                                            },
                                            "example": {
                                              "amount": "18.00",
                                              "currency_code": "USD"
                                            }
                                          },
                                          "shop_money": {
                                            "name": "shop_money",
                                            "description": "店铺币种",
                                            "type": "object",
                                            "properties": {
                                              "amount": {
                                                "name": "amount",
                                                "description": "税费金额",
                                                "type": "string",
                                                "example": "18.00"
                                              },
                                              "currency_code": {
                                                "name": "currency_code",
                                                "description": "币种",
                                                "type": "string",
                                                "example": "USD"
                                              }
                                            },
                                            "example": {
                                              "amount": "18.00",
                                              "currency_code": "USD"
                                            }
                                          }
                                        },
                                        "example": {
                                          "presentment_money": {
                                            "amount": "18.00",
                                            "currency_code": "USD"
                                          },
                                          "shop_money": {
                                            "amount": "18.00",
                                            "currency_code": "USD"
                                          }
                                        }
                                      },
                                      "rate": {
                                        "name": "rate",
                                        "description": "税率",
                                        "type": "double",
                                        "example": 10
                                      },
                                      "title": {
                                        "name": "title",
                                        "description": "税费名称",
                                        "type": "string",
                                        "example": "CNMP"
                                      }
                                    },
                                    "example": {
                                      "price": "18.00",
                                      "price_set": {
                                        "presentment_money": {
                                          "amount": "18.00",
                                          "currency_code": "USD"
                                        },
                                        "shop_money": {
                                          "amount": "18.00",
                                          "currency_code": "USD"
                                        }
                                      },
                                      "rate": 10,
                                      "title": "CNMP"
                                    }
                                  },
                                  "example": [
                                    {
                                      "title": "CNMP",
                                      "price": "18.00",
                                      "price_set": {
                                        "presentment_money": {
                                          "currency_code": "USD",
                                          "amount": "18.00"
                                        },
                                        "shop_money": {
                                          "amount": "18.00",
                                          "currency_code": "USD"
                                        }
                                      },
                                      "rate": 10
                                    }
                                  ]
                                },
                                "taxable": {
                                  "name": "taxable",
                                  "description": "商品是否含税：false、true",
                                  "type": "boolean",
                                  "example": true
                                },
                                "grams": {
                                  "name": "grams",
                                  "description": "商品重量（克）",
                                  "type": "double",
                                  "example": 1
                                },
                                "location_id": {
                                  "name": "location_id",
                                  "description": "1）本地配送场景下取货地点唯一编号 2）非本地场景下商品地点信息",
                                  "type": "string",
                                  "example": "5327026538935748524"
                                },
                                "sku": {
                                  "name": "sku",
                                  "description": "商户自定义编号",
                                  "type": "string",
                                  "example": "SKU1234"
                                },
                                "fulfillment_service": {
                                  "name": "fulfillment_service",
                                  "description": "物流商名称",
                                  "type": "string",
                                  "example": "顺丰国际"
                                },
                                "fulfillment_status": {
                                  "name": "fulfillment_status",
                                  "description": "商品行发货状态： fulfilled-已发货; partial-部分发货； null-未发货",
                                  "type": "string",
                                  "example": "fulfilled"
                                },
                                "properties": {
                                  "name": "properties",
                                  "description": "商品定制信息",
                                  "type": "array",
                                  "items": {
                                    "name": "properties",
                                    "description": "商品定制信息",
                                    "type": "object",
                                    "properties": {
                                      "name": {
                                        "name": "name",
                                        "description": "定制信息对象",
                                        "type": "string",
                                        "example": "文字"
                                      },
                                      "type": {
                                        "name": "type",
                                        "description": "定制信息类型：text、picture、link 1）当type为text时，取name和value； 2）当type为picture时，展示类型取name，同时取urls获取商品的详情缩略图 3）当type为link时，支持点击urls获取详情",
                                        "type": "string",
                                        "example": "text"
                                      },
                                      "urls": {
                                        "name": "urls",
                                        "description": "地址链接信息",
                                        "type": "array",
                                        "items": {
                                          "name": "urls",
                                          "description": "地址链接信息",
                                          "type": "string",
                                          "example": "https://image.shopline.com"
                                        },
                                        "example": [
                                          "https://image.shopline.com"
                                        ]
                                      },
                                      "value": {
                                        "name": "value",
                                        "description": "定制信息内容",
                                        "type": "string",
                                        "example": "自由"
                                      }
                                    },
                                    "example": {
                                      "name": "文字",
                                      "type": "text",
                                      "urls": [
                                        "https://image.shopline.com"
                                      ],
                                      "value": "自由"
                                    }
                                  },
                                  "example": [
                                    {
                                      "name": "文字",
                                      "type": "text",
                                      "urls": [
                                        "https://image.shopline.com"
                                      ],
                                      "value": "自由"
                                    }
                                  ]
                                },
                                "attribute": {
                                  "name": "attribute",
                                  "description": "商品属性信息：名称 - 属性值， 多个属性值时以逗号",
                                  "type": "string",
                                  "example": "颜色 - 红色, 尺寸 - X"
                                },
                                "id": {
                                  "name": "id",
                                  "description": "商品行id",
                                  "type": "string",
                                  "example": "405"
                                },
                                "product_id": {
                                  "name": "product_id",
                                  "description": "spu序列号，商品唯一识别号",
                                  "type": "string",
                                  "example": "16056898121352174690861487"
                                },
                                "name": {
                                  "name": "name",
                                  "description": "sku标题,同title",
                                  "type": "string",
                                  "example": "这是个好商品"
                                }
                              },
                              "example": {
                                "sku": "SKU1234",
                                "taxable": true,
                                "requires_shipping": "true",
                                "price": "100.0",
                                "fulfillable_quantity": 1,
                                "tags": "sales",
                                "gift_card": true,
                                "attribute": "颜色 - 红色, 尺寸 - X",
                                "id": "405",
                                "quantity": "1",
                                "variant_title": "L/Red",
                                "fulfillment_status": "fulfilled",
                                "name": "这是个好商品",
                                "title": "这是个好商品",
                                "variant_id": "18056898121355865678441487",
                                "properties": [
                                  {
                                    "type": "text",
                                    "urls": [
                                      "https://image.shopline.com"
                                    ],
                                    "value": "自由",
                                    "name": "文字"
                                  }
                                ],
                                "fulfillment_service": "顺丰国际",
                                "location_id": "5327026538935748524",
                                "product_id": "16056898121352174690861487",
                                "tax_lines": [
                                  {
                                    "rate": 10,
                                    "title": "CNMP",
                                    "price": "18.00",
                                    "price_set": {
                                      "presentment_money": {
                                        "amount": "18.00",
                                        "currency_code": "USD"
                                      },
                                      "shop_money": {
                                        "amount": "18.00",
                                        "currency_code": "USD"
                                      }
                                    }
                                  }
                                ],
                                "vendor": "商品供应商",
                                "grams": 1,
                                "image_url": "https://image.shopline.com/abc.jpg"
                              }
                            }
                          },
                          "example": {
                            "line_item": {
                              "product_id": "16056898121352174690861487",
                              "price": "100.0",
                              "fulfillment_status": "fulfilled",
                              "grams": 1,
                              "attribute": "颜色 - 红色, 尺寸 - X",
                              "sku": "SKU1234",
                              "gift_card": true,
                              "properties": [
                                {
                                  "type": "text",
                                  "urls": [
                                    "https://image.shopline.com"
                                  ],
                                  "value": "自由",
                                  "name": "文字"
                                }
                              ],
                              "tax_lines": [
                                {
                                  "rate": 10,
                                  "title": "CNMP",
                                  "price": "18.00",
                                  "price_set": {
                                    "shop_money": {
                                      "amount": "18.00",
                                      "currency_code": "USD"
                                    },
                                    "presentment_money": {
                                      "amount": "18.00",
                                      "currency_code": "USD"
                                    }
                                  }
                                }
                              ],
                              "tags": "sales",
                              "title": "这是个好商品",
                              "variant_id": "18056898121355865678441487",
                              "vendor": "商品供应商",
                              "quantity": "1",
                              "location_id": "5327026538935748524",
                              "requires_shipping": "true",
                              "image_url": "https://image.shopline.com/abc.jpg",
                              "id": "405",
                              "fulfillment_service": "顺丰国际",
                              "name": "这是个好商品",
                              "variant_title": "L/Red",
                              "taxable": true,
                              "fulfillable_quantity": 1
                            },
                            "quantity": 2
                          }
                        },
                        "id": {
                          "name": "id",
                          "description": "退货商品行号",
                          "type": "string",
                          "example": "RDP5860580372212396041"
                        },
                        "quantity": {
                          "name": "quantity",
                          "description": "退货单商品退货数量",
                          "type": "integer",
                          "example": 1
                        }
                      },
                      "example": {
                        "fulfillment_line_item": {
                          "quantity": 2,
                          "line_item": {
                            "price": "100.0",
                            "product_id": "16056898121352174690861487",
                            "fulfillment_status": "fulfilled",
                            "taxable": true,
                            "title": "这是个好商品",
                            "fulfillable_quantity": 1,
                            "gift_card": true,
                            "attribute": "颜色 - 红色, 尺寸 - X",
                            "location_id": "5327026538935748524",
                            "fulfillment_service": "顺丰国际",
                            "image_url": "https://image.shopline.com/abc.jpg",
                            "tags": "sales",
                            "requires_shipping": "true",
                            "variant_id": "18056898121355865678441487",
                            "id": "405",
                            "tax_lines": [
                              {
                                "title": "CNMP",
                                "price": "18.00",
                                "price_set": {
                                  "presentment_money": {
                                    "currency_code": "USD",
                                    "amount": "18.00"
                                  },
                                  "shop_money": {
                                    "amount": "18.00",
                                    "currency_code": "USD"
                                  }
                                },
                                "rate": 10
                              }
                            ],
                            "grams": 1,
                            "quantity": "1",
                            "variant_title": "L/Red",
                            "sku": "SKU1234",
                            "name": "这是个好商品",
                            "properties": [
                              {
                                "value": "自由",
                                "name": "文字",
                                "type": "text",
                                "urls": [
                                  "https://image.shopline.com"
                                ]
                              }
                            ],
                            "vendor": "商品供应商"
                          }
                        },
                        "id": "RDP5860580372212396041",
                        "quantity": 1,
                        "fulfillment_id": "22058605790725653626950942"
                      }
                    },
                    "example": [
                      {
                        "fulfillment_id": "22058605790725653626950942",
                        "fulfillment_line_item": {
                          "line_item": {
                            "taxable": true,
                            "variant_id": "18056898121355865678441487",
                            "tax_lines": [
                              {
                                "price_set": {
                                  "presentment_money": {
                                    "amount": "18.00",
                                    "currency_code": "USD"
                                  },
                                  "shop_money": {
                                    "amount": "18.00",
                                    "currency_code": "USD"
                                  }
                                },
                                "rate": 10,
                                "title": "CNMP",
                                "price": "18.00"
                              }
                            ],
                            "price": "100.0",
                            "id": "405",
                            "title": "这是个好商品",
                            "tags": "sales",
                            "location_id": "5327026538935748524",
                            "sku": "SKU1234",
                            "properties": [
                              {
                                "type": "text",
                                "urls": [
                                  "https://image.shopline.com"
                                ],
                                "value": "自由",
                                "name": "文字"
                              }
                            ],
                            "fulfillment_status": "fulfilled",
                            "requires_shipping": "true",
                            "attribute": "颜色 - 红色, 尺寸 - X",
                            "name": "这是个好商品",
                            "fulfillable_quantity": 1,
                            "fulfillment_service": "顺丰国际",
                            "image_url": "https://image.shopline.com/abc.jpg",
                            "gift_card": true,
                            "product_id": "16056898121352174690861487",
                            "grams": 1,
                            "variant_title": "L/Red",
                            "vendor": "商品供应商",
                            "quantity": "1"
                          },
                          "quantity": 2
                        },
                        "id": "RDP5860580372212396041",
                        "quantity": 1
                      }
                    ]
                  },
                  "return_reason": {
                    "name": "return_reason",
                    "description": "退货原因",
                    "type": "string",
                    "example": "no reason"
                  },
                  "status": {
                    "name": "status",
                    "description": "退货单状态；OPEN（退货中），CLOSED（退货完成且已退款完成）",
                    "type": "string",
                    "example": "OPEN"
                  }
                },
                "example": {
                  "status": "OPEN",
                  "created_at": "2022-11-04T10:18:46+00:00",
                  "id": "2605860580357012238342",
                  "order_id": "21058605762597644309430942",
                  "return_line_items": [
                    {
                      "quantity": 1,
                      "fulfillment_id": "22058605790725653626950942",
                      "fulfillment_line_item": {
                        "line_item": {
                          "title": "这是个好商品",
                          "taxable": true,
                          "grams": 1,
                          "variant_title": "L/Red",
                          "location_id": "5327026538935748524",
                          "vendor": "商品供应商",
                          "name": "这是个好商品",
                          "product_id": "16056898121352174690861487",
                          "gift_card": true,
                          "fulfillable_quantity": 1,
                          "image_url": "https://image.shopline.com/abc.jpg",
                          "fulfillment_status": "fulfilled",
                          "fulfillment_service": "顺丰国际",
                          "properties": [
                            {
                              "name": "文字",
                              "type": "text",
                              "urls": [
                                "https://image.shopline.com"
                              ],
                              "value": "自由"
                            }
                          ],
                          "tags": "sales",
                          "tax_lines": [
                            {
                              "title": "CNMP",
                              "price": "18.00",
                              "price_set": {
                                "presentment_money": {
                                  "currency_code": "USD",
                                  "amount": "18.00"
                                },
                                "shop_money": {
                                  "currency_code": "USD",
                                  "amount": "18.00"
                                }
                              },
                              "rate": 10
                            }
                          ],
                          "variant_id": "18056898121355865678441487",
                          "sku": "SKU1234",
                          "price": "100.0",
                          "requires_shipping": "true",
                          "id": "405",
                          "attribute": "颜色 - 红色, 尺寸 - X",
                          "quantity": "1"
                        },
                        "quantity": 2
                      },
                      "id": "RDP5860580372212396041"
                    }
                  ],
                  "return_reason": "no reason"
                }
              }
            },
            "example": {
              "return": {
                "return_line_items": [
                  {
                    "fulfillment_line_item": {
                      "line_item": {
                        "properties": [
                          {
                            "type": "text",
                            "urls": [
                              "https://image.shopline.com"
                            ],
                            "value": "自由",
                            "name": "文字"
                          }
                        ],
                        "product_id": "16056898121352174690861487",
                        "fulfillment_service": "顺丰国际",
                        "price": "100.0",
                        "name": "这是个好商品",
                        "gift_card": true,
                        "image_url": "https://image.shopline.com/abc.jpg",
                        "quantity": "1",
                        "tax_lines": [
                          {
                            "price": "18.00",
                            "price_set": {
                              "presentment_money": {
                                "currency_code": "USD",
                                "amount": "18.00"
                              },
                              "shop_money": {
                                "amount": "18.00",
                                "currency_code": "USD"
                              }
                            },
                            "rate": 10,
                            "title": "CNMP"
                          }
                        ],
                        "title": "这是个好商品",
                        "variant_id": "18056898121355865678441487",
                        "variant_title": "L/Red",
                        "id": "405",
                        "requires_shipping": "true",
                        "sku": "SKU1234",
                        "fulfillment_status": "fulfilled",
                        "fulfillable_quantity": 1,
                        "location_id": "5327026538935748524",
                        "tags": "sales",
                        "vendor": "商品供应商",
                        "taxable": true,
                        "attribute": "颜色 - 红色, 尺寸 - X",
                        "grams": 1
                      },
                      "quantity": 2
                    },
                    "id": "RDP5860580372212396041",
                    "quantity": 1,
                    "fulfillment_id": "22058605790725653626950942"
                  }
                ],
                "return_reason": "no reason",
                "status": "OPEN",
                "created_at": "2022-11-04T10:18:46+00:00",
                "id": "2605860580357012238342",
                "order_id": "21058605762597644309430942"
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "post",
  "path": "/return/create.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。"
        }
      }
    }
  ],
  "info": {
    "title": "创建退货单",
    "version": "v20270301"
  },
  "authIndexes": [
    "write_return"
  ]
}
```